/**
 * @file
 * Drupal behavior for the edit_ui blocks.
 */

(function (Drupal, $) {
  "use strict";

  /**
   * Drupal edit_ui block behavior.
   */
  Drupal.behaviors.editUiBlock = {
    attach: function(context, settings) {
      if (!this.isInitialized) {
        this.isInitialized = true;

        // Init block collection.
        var collection = Drupal.editUiBlock.collections.blockCollection = new Drupal.editUiBlock.BlockCollection();

        // Init views.
        Drupal.editUiBlock.views.pageVisualView = new Drupal.editUiBlock.PageVisualView({
          collection: collection
        });
        Drupal.editUiBlock.views.bodyVisualView = new Drupal.editUiBlock.BodyVisualView();

        // Init block view list.
        Drupal.editUiBlock.views.blockVisualViews = [];
      }
    }
  };

  /**
   * edit_ui block Backbone objects.
   */
  Drupal.editUiBlock = {
    // A hash of View instances.
    views: {},
    // A hash of Collection instances.
    collections: {}
  };
})(Drupal, jQuery);
