/**
 * @file
 * A Backbone view for the edit_ui toolbar element.
 */

(function (Drupal, Backbone) {
  "use strict";

  /**
   * Backbone view for the edit_ui toolbar.
   */
  Drupal.editUiToolbar.ToolbarVisualView = Backbone.View.extend({
    /**
     * Custom data.
     */
    hiddenClass: 'hidden',

    /**
     * {@inheritdoc}
     */
    initialize: function (options) {
      this.toolbarModel = options.toolbarModel;
      this.listenTo(this.model, 'change', this.render);
    },

    /**
     * {@inheritdoc}
     */
    render: function () {
      this.$el
        .css({top: this.model.get('topOffset')})
        .toggleClass(this.hiddenClass, !this.model.get('isOpen'));
      return this;
    }
  });

}(Drupal, Backbone));
